curl "https://api.scanova.io/custom-domain/42/certificate-request/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 5,
"organization": "Example Inc",
"organizational_unit": "IT",
"country": "US",
"state": "CA",
"locality": "San Francisco",
"email": "ssl@example.com",
"csr": "-----BEGIN CERTIFICATE REQUEST-----\nMIIC...\n-----END CERTIFICATE REQUEST-----",
"created": "2026-09-01T09:00:00Z"
}
自定义域名
获取最新的 SSL 证书请求
GET /custom-domain//certificate-request/
GET
/
custom-domain
/
{pk}
/
certificate-request
/
curl "https://api.scanova.io/custom-domain/42/certificate-request/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 5,
"organization": "Example Inc",
"organizational_unit": "IT",
"country": "US",
"state": "CA",
"locality": "San Francisco",
"email": "ssl@example.com",
"csr": "-----BEGIN CERTIFICATE REQUEST-----\nMIIC...\n-----END CERTIFICATE REQUEST-----",
"created": "2026-09-01T09:00:00Z"
}
在 Management API 主机(
如果尚未创建 CSR,则返回
api.scanova.io)上获取某个域名最新的 SSL 证书签名请求(CSR),使用您的原始 Management API 密钥进行身份验证。
GET https://api.scanova.io/custom-domain/{pk}/certificate-request/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
仅限企业版。需要
CUSTOM_DOMAIN_CUSTOM_SSL 配额,该配额需人工授予——没有任何自助套餐包含此配额。integer
必填
域名的
id。curl "https://api.scanova.io/custom-domain/42/certificate-request/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 5,
"organization": "Example Inc",
"organizational_unit": "IT",
"country": "US",
"state": "CA",
"locality": "San Francisco",
"email": "ssl@example.com",
"csr": "-----BEGIN CERTIFICATE REQUEST-----\nMIIC...\n-----END CERTIFICATE REQUEST-----",
"created": "2026-09-01T09:00:00Z"
}
null。这使客户端可以在不自行跟踪 CSR 状态的情况下恢复正在进行的自带证书(bring-your-own-certificate)流程。如果账户缺少 CUSTOM_DOMAIN_CUSTOM_SSL 配额,则返回 403;如果 pk 不是该账户拥有的域名,则返回 404。
相关内容
- 创建 SSL 证书请求——生成一个新的 CSR。
- 上传 SSL 证书——CA 签发证书后的下一步。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
路径参数
响应
Most recent certificate request, or null if none exists.
此页面对您有帮助吗?